Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1635 - MILO doesn't follow symlinks in any useful way.
Summary: MILO doesn't follow symlinks in any useful way.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: distribution
Version: 6.0
Hardware: alpha
OS: Linux
high
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-20 01:34 UTC by Peter Jones
Modified: 2008-05-01 15:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-21 14:42:37 UTC


Attachments (Terms of Use)

Description Peter Jones 1999-03-20 01:34:01 UTC
The default kernel path (so far) is /boot/vmlinuz-2.2.3-5 ,
and there's a symlink to /boot/vmlinuz .   MILO does really
bad things if you point it at /boot/vmlinuz ;  We probably
need to have vmlinuz be a real file (when we install a new
version, make the old one vmlinuz.old and _copy_ the new one
to vmlinuz) and fix the documentation to reflect this.

Comment 1 Cristian Gafton 1999-03-21 14:42:59 UTC
No way, the proposed vmlinuz handling is a disaster waiting to happen
as far as packaging goes.

I propose to get rid of all references to /boopt/vmlinuz and tell
people to use the real names. If anybody likes vmlinuz, he/she can do
that on their own.

Comment 2 mchampig 1999-10-29 14:56:59 UTC
Another reason to dump the use of /boot/vmlinuz is that aboot
can't follow symlinks either from SRM. I've seen this bite quite
a few people. The safest is to use the full pathname under *all*
firmwares.


Note You need to log in before you can comment on or make changes to this bug.